=== debian/changelog ===
tunneldigger (0.10) unstable; urgency=low

  * adapt to newer OpenVPN
  * no single-session - doesn't seem to work
  * add hand-window of 600 (more reasonable than 60)

 -- Kai Henningsen <kai@khms.westfalen.de>  Sun,  4 Apr 2004 10:10:24 +0200

tunneldigger (0.9) unstable; urgency=low

  * do not use nobind

 -- Kai Henningsen <kai@khms.westfalen.de>  Fri, 19 Dec 2003 01:06:23 +0100

tunneldigger (0.8) unstable; urgency=low

  * really make makedeb not ask
  * need full path for config includes in confgen.pl

 -- Kai Henningsen <kai@khms.westfalen.de>  Thu, 18 Dec 2003 23:42:31 +0100

tunneldigger (0.7) unstable; urgency=low

  * need an additional chmod on the .deb
  * need to have dev-node defined
  * can only rename interface while down
  * need to use new name for ifconfig

 -- Kai Henningsen <kai@khms.westfalen.de>  Thu, 18 Dec 2003 23:15:09 +0100

tunneldigger (0.6) unstable; urgency=low

  * make sure keys are only accessible by user (and read-only on final host)

 -- Kai Henningsen <kai@khms.westfalen.de>  Thu, 18 Dec 2003 20:25:09 +0100

tunneldigger (0.5) unstable; urgency=low

  * explain how to customize CANAME and MAINT
  * add path for td-up (confgen.pl)
  * name daemon after peer, not self (confgen.pl)

 -- Kai Henningsen <kai@khms.westfalen.de>  Thu, 18 Dec 2003 20:18:19 +0100

tunneldigger (0.4) unstable; urgency=low

  * don't forget to erase the tmp directory before building a new package in
    it

 -- Kai Henningsen <kai@khms.westfalen.de>  Thu, 18 Dec 2003 20:00:07 +0100

tunneldigger (0.3) unstable; urgency=low

  * need to protet $/ assignment with local in parseconfig.pl
  * don't ask before overwriting .deb in makedeb
  * need to alloc ports under peer's name in parseconfig.pl

 -- Kai Henningsen <kai@khms.westfalen.de>  Thu, 18 Dec 2003 19:52:49 +0100

tunneldigger (0.2) unstable; urgency=low

  * clear environment in parseconfig.pl
  * add path to scripts in Makefile

 -- Kai Henningsen <kai@khms.westfalen.de>  Thu, 18 Dec 2003 19:38:32 +0100

tunneldigger (0.1) unstable; urgency=low

  * Initial Release.

 -- Kai Henningsen <kai@khms.westfalen.de>  Thu, 18 Dec 2003 17:04:04 +0100
