=== debian/control ===
Source: tunneldigger
Section: net
Priority: optional
Maintainer: Kai Henningsen <kai@debian.org>
Build-Depends-Indep: debhelper (>= 4.0.0)
Standards-Version: 3.6.0

Package: tunneldigger
Architecture: all
Depends: make, openssl, fakeroot, debhelper, ${perl:Depends}
Description: Configures OpenVPN tunnel networks
 TunnelDigger takes the approach of having a central administration
 directory somewhere, not necessarily on a host where OpenVPN actually runs.
 It creates a .deb for every OpenVPN-connected host under this administration
 containing all relevant config files, keys, and certificates (be careful how 
 you transport these to the host to use them!).
 The hosts using these configurations will also
 need the tunneldigger-utils package.
 .
 For an alternate approach, see  the carpaltunnel package.

Package: tunneldigger-utils
Architecture: all
Depends: openvpn (>= 1.5.0-2), net-tools, iproute
Description: Utilities for TunnelDigger-configured OpenVPN tunnels
 Currently, there is a PPP ip-up.d script, 
 and a OpenVPN "up" script.
